<?php
date_default_timezone_set("America/Bogota");

include("../acces/config/conector.php");
include("../controlador/menu.php");




if($fecha<=$segur1 && strlen($segur1)==10){
    
    vistas::sesion();
    
if($_SESSION["tipo"]==0){

        if(isset($_GET["click"])){

            if($_GET["click"]=="factura"){            
                vistas::facturacion();

            }
            if($_GET["click"]=="devolucion")
            {            
                vistas::devolucionuser();

            }

            if($_GET["click"]=="entrada")
            {            
                vistas::entrada();
            }

            if($_GET["click"]=="inventario" && $_SESSION["ActivarPermiSaliEditarprod"]==0)
            {            
                vistas::entradauser();

            }
            if($_GET["click"]=="inventario" && $_SESSION["ActivarPermiSaliEditarprod"]==1){

                vistas::inventario();
            }

          

            if($_GET["click"]=="ventas")
            {            
                vistas::ventas();

            }
            if($_GET["click"]=="admin")
            {            
                vistas::administrauser();
    
            }
                
            
        

            
    }else{
        
        vistas::facturacion();
    }

}else{
    if($_SESSION["tipo"]==1){

            if(isset($_GET["click"])){

                if($_GET["click"]=="factura"){            
                    vistas::facturacion();

                }

                if($_GET["click"]=="inventario"){            
                    vistas::inventario();

                }

                if($_GET["click"]=="entrada")
                {            
                    vistas::entrada();
                }
                if($_GET["click"]=="ventas")
                {            
                    vistas::ventas();
                }
                if($_GET["click"]=="devolucion")
                {            
                    vistas::devolucion();
                }
                if($_GET["click"]=="admin")
                {            
                    vistas::administra();

                }
                
                
        }else{ 
            
            vistas::vistamenu();

        }

    }else{
    //solo precios
        if($_SESSION["tipo"]==2){
                        
                vistas::vistaPrecios();

            

        }elseif($_SESSION["tipo"]==4){/// call center otros

                if(isset($_GET["click"])){

            if($_GET["click"]=="factura"){            
                vistas::facturacion();

            }
            if($_GET["click"]=="devolucion")
            {            
                vistas::devolucionuser();

            }

            if($_GET["click"]=="entrada")
            {            
                // vistas::entrada();
                vistas::facturacion();
            }

            if($_GET["click"]=="inventario" && $_SESSION["ActivarPermiSaliEditarprod"]==0)
            {            
                // vistas::entradauser();

                vistas::facturacion();
            }
            if($_GET["click"]=="inventario" && $_SESSION["ActivarPermiSaliEditarprod"]==1){

                // vistas::inventario();
                vistas::facturacion();
            }

          

            if($_GET["click"]=="ventas")
            {            
                vistas::ventas();

            }
            if($_GET["click"]=="admin")
            {            
                // vistas::administrauser();
                vistas::facturacion();
    
            }
                
            
        

            
            }else{
                 vistas::facturacion();
            }


        }        
        else{

            header("location: ../index.php");
        }

        
    

    }
}
}else{
    printf("<h1> oh! Su licencia a Caducado</h1>");
    printf("<h1> Comuniquese para renovar </h1>");
    
}

?>